summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2016-09-02 11:43:11 -0400
committerMike Gilbert <floppym@gentoo.org>2016-09-02 11:43:26 -0400
commit448d73a2c6bca8b986edb68661011a103c1a7737 (patch)
tree0df82456be395dda828567326ed0f4c7d60c5caa /media-fonts
parentapp-emulation/virtualbox: backport commit 82049238b1 to 4.3.x (diff)
downloadgentoo-448d73a2c6bca8b986edb68661011a103c1a7737.tar.gz
gentoo-448d73a2c6bca8b986edb68661011a103c1a7737.tar.bz2
gentoo-448d73a2c6bca8b986edb68661011a103c1a7737.zip
media-fonts/unifont: bump to 9.0.02
Package-Manager: portage-2.3.0_p22
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/unifont/Manifest1
-rw-r--r--media-fonts/unifont/unifont-9.0.02.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/media-fonts/unifont/Manifest b/media-fonts/unifont/Manifest
index 236ed6da614..4aa7a264665 100644
--- a/media-fonts/unifont/Manifest
+++ b/media-fonts/unifont/Manifest
@@ -1,2 +1,3 @@
DIST unifont-8.0.01.tar.gz 19157156 SHA256 4b20bfc6412bce9302cd321f39d7c0185c3c69f9deaf9ab7ea89c4e105fbcb9c SHA512 171b8caff9d2f821fa0759a55d102edcaf23be592c0619c8148c95aac353834bf096591710e9dedf18aa6c1dde051d1caee5c7b2b3a0d302ae9ab64bcfd731a5 WHIRLPOOL c72637d4549ce476a6327160e589137a9e9c24bdabd3a341a08b7d91bdee2208bc49b0cedc11ca43a0cdef50123b09148f9fde2b1c073b12005140cc091e9c0a
DIST unifont-9.0.01.tar.gz 18287287 SHA256 2bd54b92aa31e1bf9d6a03023150fc3d5989ff6b9aa650c7892429ad4ca7e493 SHA512 ff9de0293c7ee6394b9de5c41b43cfe797051222f27010871d44aa7a626d7db880f253679b7ff88c2b3621de42b67c3b1f0c97db37e7cf13ad72855acb55192a WHIRLPOOL f3091bf7785d3dbed0fd198ef683f3e07f0f854f71f92928193f212df6387a3486866d15982b2df9cdfd989a9cfd0617b42ba235df1a062ca786a3fdd8662507
+DIST unifont-9.0.02.tar.gz 14727178 SHA256 1513d2403e1ea338a6df2d89c6a40cab39790e8ab52e89e5f8bf22bdc46546eb SHA512 74693fb9e7fdf6cbdb8b71cfeeb8106ea1d52b663def9c29f5b8c62660badd30d624be4b85bc9ca39c47d9d13cef19b1e40c76af361b82fbf3092895d0d48050 WHIRLPOOL a0cffe0edf9e5b184eac3c190434c81c70205951ed8593a90f9c3c4ab040536a2335f338a9f2ccdbef7d622b5a6c4005e9bbe90a0baf9a6920add37f9afb69b2
diff --git a/media-fonts/unifont/unifont-9.0.02.ebuild b/media-fonts/unifont/unifont-9.0.02.ebuild
new file mode 100644
index 00000000000..b0ae12aa92a
--- /dev/null
+++ b/media-fonts/unifont/unifont-9.0.02.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit font toolchain-funcs
+
+DESCRIPTION="GNU Unifont - a Pan-Unicode X11 bitmap iso10646 font"
+HOMEPAGE="http://unifoundry.com/"
+SRC_URI="mirror://gnu/${PN}/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="fontforge utils"
+
+DEPEND="
+ fontforge? (
+ app-text/bdf2psf
+ dev-lang/perl
+ dev-perl/GD[png(-)]
+ media-gfx/fontforge
+ x11-apps/bdftopcf
+ )
+"
+RDEPEND="
+ utils? (
+ dev-lang/perl
+ dev-perl/GD[png(-)]
+ )
+"
+
+src_prepare() {
+ sed -i -e 's/install -s/install/' src/Makefile || die
+ default
+}
+
+src_compile() {
+ if use fontforge || use utils; then
+ tc-export CC
+ makeargs=(
+ CFLAGS="${CFLAGS}"
+ BUILDFONT=$(usex fontforge 1 '')
+ )
+ emake -j1 "${makeargs[@]}"
+ fi
+}
+
+src_install() {
+ makeargs+=(
+ DESTDIR="${ED%/}"
+ PCFDEST="${ED%/}${FONTDIR}"
+ TTFDEST="${ED%/}${FONTDIR}"
+ USRDIR=usr
+ )
+ use utils || makeargs+=( -C font )
+ emake -j1 "${makeargs[@]}" install
+ font_xfont_config
+ font_fontconfig
+}